import request from '@/utils/request'

/**
 * 管理员信息
 * @returns {AxiosPromise}
 */
export function getAdminInfo() {
  return request({
    url: '/admin/Index/userInfo',
    method: 'get'
  })
}

/**
 * 更新管理员密码
 * @param data
 * @returns {AxiosPromise}
 */
export function updateAdminPwd(data) {
  return request({
    url: '/admin/Index/changePwd',
    method: 'post',
    data
  })
}

/**
 * 发送短信验证码
 * @returns {AxiosPromise}
 */
export function sendSms() {
  return request({
    url: '/admin/Index/sendSms',
    method: 'post'
  })
}

/**
 * 修改管理员头像
 * @param data
 * @returns {AxiosPromise}
 */
export function changeAdminAvatar(data) {
  return request({
    url: '/admin/Index/editHead',
    method: 'post',
    data
  })
}

